Create One Rule
curl --request POST \
--url https://api.upwell.com/api/rest/rules \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"actionValue": "<unknown>",
"conditionExpression": "<string>",
"createdAt": "<unknown>",
"criteriaField": "<string>",
"criteriaValue": "<string>",
"customerId": "<string>",
"enabled": true,
"exceptionConfig": "<unknown>",
"id": "<string>",
"priority": 123,
"ruleActionType": {},
"ruleType": {},
"updatedAt": "<unknown>",
"validationExpression": "<string>"
}
}
'import requests
url = "https://api.upwell.com/api/rest/rules"
payload = { "input": {
"actionValue": "<unknown>",
"conditionExpression": "<string>",
"createdAt": "<unknown>",
"criteriaField": "<string>",
"criteriaValue": "<string>",
"customerId": "<string>",
"enabled": True,
"exceptionConfig": "<unknown>",
"id": "<string>",
"priority": 123,
"ruleActionType": {},
"ruleType": {},
"updatedAt": "<unknown>",
"validationExpression": "<string>"
} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
actionValue: '<unknown>',
conditionExpression: '<string>',
createdAt: '<unknown>',
criteriaField: '<string>',
criteriaValue: '<string>',
customerId: '<string>',
enabled: true,
exceptionConfig: '<unknown>',
id: '<string>',
priority: 123,
ruleActionType: {},
ruleType: {},
updatedAt: '<unknown>',
validationExpression: '<string>'
}
})
};
fetch('https://api.upwell.com/api/rest/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createRule": {
"actionValue": "<unknown>",
"conditionExpression": "<string>",
"createdAt": "<unknown>",
"criteriaField": "<string>",
"criteriaValue": "<string>",
"customerId": "<string>",
"id": "<string>",
"priority": 123,
"updatedAt": "<unknown>",
"validationExpression": "<string>"
}
}Rules
Create One Rule
Create a new rule
POST
/
api
/
rest
/
rules
Create One Rule
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Body
application/json
Query parameters can also be provided in the request body as a JSON object
input type for inserting data into table "rules"
Show child attributes
Show child attributes
Response
200 - application/json
Responses for POST /api/rest/rules
Rules used for matching, document requirements, etc
Show child attributes
Show child attributes
āI

